From: Philipp Wagner <mail@philipp-wagner.com>
Date: Sun, 19 Apr 2020 21:15:54 +0100
Subject: Use perl binary directly in shebang
Upstream: no

Replace "/usr/bin/env perl" with a direct call to the perl interpreter to
help RPM pick up the right dependencies and avoid the env-script-interpreter
rpmlint warning.

diff --git a/bin/verilator b/bin/verilator
index 2a2ea028b..88aa05b2a 100755
--- a/bin/verilator
+++ b/bin/verilator
@@ -1,4 +1,4 @@
-#!/usr/bin/env perl
+#!/usr/bin/perl
 ######################################################################
 #
 # Copyright 2003-2020 by Wilson Snyder. This program is free software; you
diff --git a/bin/verilator_coverage b/bin/verilator_coverage
index 37b931c29..938dd3e97 100755
--- a/bin/verilator_coverage
+++ b/bin/verilator_coverage
@@ -1,4 +1,4 @@
-#!/usr/bin/env perl
+#!/usr/bin/perl
 ######################################################################
 #
 # Copyright 2003-2020 by Wilson Snyder. This program is free software; you
diff --git a/bin/verilator_difftree b/bin/verilator_difftree
index 4fefebdd6..b29678586 100755
--- a/bin/verilator_difftree
+++ b/bin/verilator_difftree
@@ -1,4 +1,4 @@
-#!/usr/bin/env perl
+#!/usr/bin/perl
 # See copyright, etc in below POD section.
 ######################################################################

diff --git a/bin/verilator_gantt b/bin/verilator_gantt
index ddd7f2434..bd5e4d765 100755
--- a/bin/verilator_gantt
+++ b/bin/verilator_gantt
@@ -1,4 +1,4 @@
-#!/usr/bin/env perl
+#!/usr/bin/perl
 # See copyright, etc in below POD section.
 ######################################################################

diff --git a/bin/verilator_includer b/bin/verilator_includer
index 182d2f7d7..9aede78c8 100755
--- a/bin/verilator_includer
+++ b/bin/verilator_includer
@@ -1,4 +1,4 @@
-#!/usr/bin/env perl
+#!/usr/bin/perl
 # DESCRIPTION: Print include statements for each ARGV
 #
 # Copyright 2003-2020 by Wilson Snyder. This program is free software; you
diff --git a/bin/verilator_profcfunc b/bin/verilator_profcfunc
index f69a5124b..55923145f 100755
--- a/bin/verilator_profcfunc
+++ b/bin/verilator_profcfunc
@@ -1,4 +1,4 @@
-#!/usr/bin/env perl
+#!/usr/bin/perl
 # See copyright, etc in below POD section.
 ######################################################################


